底图椭圆

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Ellipse and the translation is 9% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Circle.svg Circle
Next: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Menu location
Drafting → Ellipse
Workbenches
Draft, Arch
Default shortcut
E L
Introduced in version
0.7
See also
None

描述

椭圆工具会根据用户输入的两个点,在当前的工作平面内创建一个椭圆。该椭圆将恰好适配于这两个矩形角点所定义的矩形盒中。另外,此工具将根据Draft Tray中的Draft Linestyle设置来绘制椭圆。

此工具也可用于创建椭圆弧,此时还要指定弧的起始角度与结束角度。而要创建圆与圆弧则可采用底图圆形工具与底图弧形工具。另外,您还可以通过底图B样条底图贝塞尔曲线工具来创建近似的椭圆弧与圆弧。

Draft ellipse example.jpg

通过矩形角点所定义的椭圆

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

如何使用

  1. 按下Draft Ellipse.png Draft Ellipse按钮,或先按E键再按L键。
  2. 在3D视图中点击第一个点,或输入一个坐标并按下Draft AddPoint.svg add point按钮。
  3. 在3D视图中点击第二个点,或输入一个坐标并按下Draft AddPoint.svg add point按钮。

选项

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created ellipse will have 数据Make Face set to true and will have a filled face.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating ellipses.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Ellipse can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Ellipse instead of a Draft Ellipse.

Properties

See also: Property editor.

A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • 数据Area (Area): (read-only) specifies the area of the face of the ellipse. The value will be 0.0 if 数据Make Face if false or the face cannot be created.
  • 数据First Angle (Angle): specifies the angle of the first point of the ellipse, normally .
  • 数据Last Angle (Angle): specifies the angle of the last point of the ellipse, normally .
  • 数据Major Radius (Length): specifies the major radius of the ellipse.
  • 数据Make Face (Bool): specifies if the ellipse makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
  • 数据Minor Radius (Length): specifies the minor radius of the ellipse.

View

Draft

  • 视图Pattern (Enumeration): specifies the Draft Pattern with which to fill the face of the ellipse. This property only works if 数据Make Face is true and if 视图Display Mode is Flat Lines.
  • 视图Pattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Ellipse use the make_ellipse method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeEllipse method.

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If placement is None the ellipse is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()


Arrow-left.svg Previous: Draft Circle.svg Circle
Next: Rectangle Draft Rectangle.svg Arrow-right.svg